
From: Michal Schmidt <xschmi00@stud.feec.vutbr.cz>

Stop the disks from spinning down and up on suspend. 

Signed-off-by: Michal Schmidt <xschmi00@stud.feec.vutbr.cz>
Cc: Pavel Machek <pavel@ucw.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/ide/ide-io.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/ide/ide-io.c~swsusp-prevent-disks-from-spinning-down-and-up drivers/ide/ide-io.c
--- devel/drivers/ide/ide-io.c~swsusp-prevent-disks-from-spinning-down-and-up	2005-07-27 12:13:28.000000000 -0700
+++ devel-akpm/drivers/ide/ide-io.c	2005-07-27 12:13:28.000000000 -0700
@@ -150,7 +150,7 @@ static void ide_complete_power_step(ide_
 
 	switch (rq->pm->pm_step) {
 	case ide_pm_flush_cache:	/* Suspend step 1 (flush cache) complete */
-		if (rq->pm->pm_state == 4)
+		if (rq->pm->pm_state == PM_EVENT_FREEZE)
 			rq->pm->pm_step = ide_pm_state_completed;
 		else
 			rq->pm->pm_step = idedisk_pm_standby;
_
